
$object = 'L1_vertebra'

#@bone1 = ("FEMUR","FIBULA","HIP","PATELLA","TIBIA");
@bone1 = ("BICEPS_FEMORIS_LONG","BICEPS_FEMORIS_SHORT","GASTROCNEMIUS","GRACILIS","POPLITEUS","RECTUS_FEMORIS","SARTORIUS","SEMIMEMBRANOSUS","SEMITENDINOSUS","VASTUS_INTERMEDIUS","VASTUS_MEDIALIS","VASTUS_LATERALIS");
@bone3 = ("PROXIMAL_PHALANX_V","RADIUS","SCAPHOID","TRAPEZIUM","TRAPEZOID","TRIQUETRUM","ULNA");


$original_folder = '/hpc_atog/bshi013/vertebra/Lumbar/vertebra/L1_images/'

fem def para;r;$object;$original_folder       # Declares array dimensions   
fem def coord;r;$object;$original_folder      # Defines the coordinate system
fem def bases;r;$object;$original_folder      # Defines tri-cubic Hermite basis functions

$tx=-225
$ty=-172
$tz= 115


$LOOP = scalar(@bone1);

for($i=0; $i < $LOOP; $i++){
	set dir "/hpc_atog/bshi013/SPARC/ANATML/LEFT_LOWER_LIMB/MUSCLES/"
	set dir $bone1[$i]

	fem def node;r;$bone1[$i]
	fem def elem;r;$bone1[$i]


	fem change node translate by $tx,$ty,$tz
	
	fem export node;${bone1[$i]}_transformed as ${bone1[$i]}_transformed
	fem export elem;${bone1[$i]}_transformed as ${bone1[$i]}_transformed
	
	fem cancel nodes
	fem cancel elements

}

